# BufferInfo Struct Reference
[CUPTI PC Sampling Utility API]

BufferInfo will be stored in the file for every buffer i.e for every call of UtilDumpPcSamplingBufferInFile() API.

## Data Fields
uint64_t | bufferByteSize
uint64_t | numSelectedStallReasons
size_t | numStallReasons
uint64_t | recordCount

## Field Documentation

uint64_t BufferInfo::bufferByteSize

Buffer size in Bytes.

uint64_t BufferInfo::numSelectedStallReasons

Total number of stall reasons in single record.

size_t BufferInfo::numStallReasons

Count of all stall reasons supported on the GPU

uint64_t BufferInfo::recordCount

Total number of PC records.